Name:      knutclient
Version:   0.9.5
Release:   alt1
License:   GPL
Packager:  Alexey Sidorov <alexsid@altlinux.ru>
Url:       http://www.knut.noveradsl.cz/knutclient/
Group:     Monitoring

Summary:   a GUI client for NUT
Summary(ru_RU.UTF-8): Графический интерфейс для NUT

BuildRequires: gcc-c++ kdelibs-devel nut-devel libjpeg-devel
Requires:  nut

Prefix:    /usr

Source:    ftp://ftp.buzuluk.cz/pub/alo/knutclient/stable/%name-%version.tar.gz

# fix build with new autoconf/automake
Patch0:    knutclient-autocrap.patch

%description
Knutclient is a visual KDE client for UPS systems using NUT - Network UPS Tools.

%description -l ru_RU.UTF-8
Knutclient - это графический КДЕ клиент к системе работы с источниками
бесперебойного питания NUT (Network UPS Tools, Инструментарий сетевых
ИБП)

%prep
%setup
# fix build with new autoconf/automake
%patch0 -p0

%build
%make -f admin/Makefile.common cvs
export kde_htmldir=\${datadir}/doc/HTML
%configure \
	   --disable-debug \
	   --disable-rpath \
	   --enable-shared --disable-static \
%ifarch x86_64
   	   --enable-libsuffix=64 \
%endif
	   --enable-final
%make_build

%install
make install-strip DESTDIR=%buildroot

%find_lang --with-kde %name

%clean


%files -f %name.lang
%_bindir/knutclient
%_Kapplnk/*/*.desktop
%_Kapps/knutclient
%_iconsdir/*/*/apps/knutclient*.png

%changelog
* Wed May 20 2009 Alexey Sidorov <alexsid@altlinux.ru> 0.9.5-alt1
- New version
- Removed patch

* Tue Jun 24 2008 Alexey Sidorov <alexsid@altlinux.ru> 0.9.4-alt1
- New version

* Tue Dec 25 2007 Alexey Sidorov <alexsid@altlinux.ru> 0.9.3-alt2
- Fix build with new auto*

* Thu Feb 22 2007 Alexey Sidorov <alexsid@altlinux.ru> 0.9.3-alt1
- New version (0.9.3)
- Remove patch knutclient-0.9.1-type-fix_x64.patch (fixed by upstream)

* Wed Feb 08 2007 Alexey Sidorov <alexsid@altlinux.ru> 0.9.1-alt3
- Added patch knutclient-0.9.1-type-fix_x64.patch for x86_64 build

* Fri Feb 02 2007 Alexey Sidorov <alexsid@altlinux.ru> 0.9.1-alt2
- Rebuild. New packager.

* Tue Dec 19 2006 Alexey Morozov <morozov@altlinux.org> 0.9.1-alt1

- New version (0.9.1). Spec is taken from the official package

* Fri Jan 21 2005 Yuri N. Sedunov <aris@altlinux.ru> 0.8.5-alt1

- 0.8.5

* Fri Dec 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.6-alt1

- 0.7.6

* Tue Dec 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.3-alt1

- 0.7.3

* Fri Oct 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.1-alt1

- First build for Sisyphus.

